macro loadcfgfile
{
    mov [fileinfo.subfunct],0x5
    mov [fileinfo.bytes],   0x0
    mov [fileinfo.buffer],  dbid
    mov [fileinfo.ptrpath], cfgfile
    mov eax,70
    mov ebx,fileinfo
    int 0x40

    ;configuring the syscall
    mov [fileinfo.subfunct],0x0   ; on spcifie la subfonction 0
    mov [fileinfo.buffer],cfg	; on indique o les info son crites
    mov eax,[dbid+32]
    mov [fileinfo.bytes],eax	  ; octets  lire
    mov [fileinfo.ptrpath],cfgfile   ; l'adresse vers le nom du fichier

    ;spelling the function
    mov eax,70
    mov ebx,fileinfo
    int 0x40
}

macro getmenuaddr menuid,baseaddr,retval
{
  mov eax,menuid
  dec eax
  imul eax,4
  add eax,baseaddr
  mov retval,[eax]
}

macro getnbrmenu menuid,baseaddr,retval
{
  mov eax,menuid
  dec eax
  imul eax,4
  add eax,baseaddr
  push dword [eax]
  pop retval
}

macro getprogaddr menuid,progid,baseaddr,retval
{
  mov eax,menuid
  dec eax
  imul eax,maxmenus
  add eax,progid
  dec eax
  imul eax,4
  add eax,baseaddr
  mov retval,[eax]
}

macro parse
{
  cpt1 dd 0x0
  cpt2 dd 0x0
  cpt3 dd 0x0
  baseaddr dd 0x0
  mov [baseaddr],cfg

  mov [cpt1],1
  .forcpt1:
   cmp [cpt1],8
   ja .nextcpt1
      mov eax,[cpt1]
      dec eax
      imul eax,4
      mov ebx,[baseaddr]
      mov ecx,[ebx]
      mov [nbrmenuprogs+eax],ecx
      mov [cpt3],ecx

      mov [cpt2],1
      .forcpt2:
      mov ecx,[cpt2]
      cmp ecx,[cpt3]
      ja .nextcpt2

      mov eax,ecx
      dec eax
      imul eax,120
      add eax,[baseaddr]
      add eax,4


      mov ebx,[cpt1]
      dec ebx
      imul ebx,maxmenus
      add ebx,[cpt2]
      dec ebx
      imul ebx,4
      add ebx,mprogramm
      mov [ebx],eax



      inc [cpt2]
      jmp .forcpt2
      .nextcpt2:

      mov eax,[cpt3]
      imul eax,120
      add eax,[baseaddr]
      add eax,4
      mov [baseaddr],eax



   inc [cpt1]
   jmp .forcpt1
  .nextcpt1:
}

 fileinfo:
  .subfunct dd 0
  .position dd 0
  .params   dd 0x0
  .bytes    dd 0x0
  .buffer   dd 0x0
  .blank    db 0
  .ptrpath  dd 0x0

 dbid:
     .attribut	 dd 0x0
     .datatype	 db 0
     .reserved	 db 0,0,0
     .creatime	 db 0,0,0,0
     .creadate	 db 0,0,0,0
     .accestim	 db 0,0,0,0
     .accesdat	 db 0,0,0,0
     .modiftim	 db 0,0,0,0
     .modifdat	 db 0,0,0,0
     .filesize	 dd 0x0,0x0